<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.base.mapper.MaintenanceTaskDetailMapper">

    <resultMap id="BaseResultMap" type="com.zksy.base.domain.MaintenanceTaskDetail">
            <id property="detailId" column="detail_id" jdbcType="BIGINT"/>
            <result property="taskId" column="task_id" jdbcType="BIGINT"/>
            <result property="deviceId" column="device_id" jdbcType="VARCHAR"/>
            <result property="deviceCode" column="device_code" jdbcType="VARCHAR"/>
            <result property="alarmId" column="alarm_id" jdbcType="VARCHAR"/>
            <result property="alarmDesc" column="alarm_desc" jdbcType="VARCHAR"/>
            <result property="detailStatus" column="detail_status" jdbcType="TINYINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        detail_id,task_id,device_id,
        device_code,alarm_id,alarm_desc,
        detail_status,create_time,update_time
    </sql>
</mapper>
